<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>profile</title>
    <link rel="stylesheet" href="/userFrontend/css/Join Team.css">
    <link rel="stylesheet" href="/userFrontend/css/responsive.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined:opsz,wght,FILL,GRAD@20..48,100..700,0..1,-50..200" />
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Inter&display=swap">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined:opsz,wght,FILL,GRAD@20..48,100..700,0..1,-50..200" />
</head>
<body>
    <div class="navigation">
        <a href="/mainDashboard"><img src="/userFrontend/img/MLBB_LOGO_Mesa de trabajo 1_Mesa de trabajo 1 2.svg" alt="" class="logo">
        </a>
        <ul></ul>
            <li><a href="/tournamentEvents">Events</a></li>
            <li><a href="mailto:recipient@example.com">Contact us</a></li> 
            <li><a href="/About">About us</a></li>
            <li onclick="logoutConfirmation()">
                <span class="material-symbols-outlined" style="transform: translateY(0.2rem);">
                    logout
                </span>
            </li>
            
        </ul>
    </div>
    <div class="nav-bottom"><img src="/userFrontend/img/bgProfileMLBB-01 1.png" alt="" width="100%"></div>
    <div class="profile">
        <div class="name" id="username">Thukpala</div><br>  
    </div>
    <hr><br>
    <div class="my-tour">
    <a href="/profleEdit">Edit</a>
    <a href="/profileTournament" >My tournaments</a>
    <a href="#"class="my-page">Team</a>
    </div><br>
    <hr>
    <div class="contents">
        <h2>No Team</h2>
        <div class="buttons">
            <button class="create" onclick="openPopup()">Create Team</button>
            <button class="join" onclick="window.location.href='/availableteams';">Join a Team</button>
        </div>
    </div>
    <div id="popup" class="popup">
        <div class="popup-content">
            <span class="close" onclick="closePopup()">&times;</span>
            <h2>New Team</h2><br>
            <form>
                <div class="form-group">
                    <label for="teamName">Team Name:</label><br>
                    <input type="text" id="teamName" name="teamName" placeholder="Enter Team Name" required>
                </div><br>
                <!-- <div class="form-group">
                    <label for="logo">Upload Logo:</label><br>
                    <input type="file" id="logo" name="logo" accept="image/*" required>
                </div><br> -->
                <button type="submit">Create</button>
            </form>
        </div>
    </div>
    
    
    <div class="footer">
        <div class="logo1"><a href="/mainDashboard"><img src="/userFrontend/img/MLBB_LOGO_Mesa de trabajo 1_Mesa de trabajo 1 2.svg" alt="" height="150" width="150"></a></div>
        <div class="social">
            <i class="fab fa-instagram"></i>
           <i class="fab fa-youtube" aria-hidden="true"></i>
           <i class="fab fa-facebook" aria-hidden="true"></i>
        </div>
        <hr style="width: 80%; margin-top: 1rem;">
        <div class="copyrights">Copyright &copy; 2024 MLBB Tournament Hosting Website. All rights reserved</div>
    </div>
</body> 
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>
   $(document).ready(function(){
  $(window).scroll(function(){
    if($(this).scrollTop() > 50) {
      $('.navigation').css('background', 'rgba(54, 25, 59)');
    } else {
      $('.navigation').css('background', 'transparent');
    }
  });
});
function openPopup() {
    document.getElementById('popup').style.display = 'block';
}

function closePopup() {
    document.getElementById('popup').style.display = 'none';
}
function logoutConfirmation() {
    if (confirm('Are you sure you want to logout?')) {
        window.location.href = '/tournamentLogin'; // Redirect to login.html if user confirms
    }
}

</script>
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/izitoast/dist/css/iziToast.min.css">
<script src="https://cdn.jsdelivr.net/npm/izitoast/dist/js/iziToast.min.js"></script>

<script src="../userFrontend/frontend.js/izittoast.js"></script>

<script src="https://cdnjs.cloudflare.com/ajax/libs/axios/1.6.8/axios.min.js" integrity="sha512-PJa3oQSLWRB7wHZ7GQ/g+qyv6r4mbuhmiDb8BjSFZ8NZ2a42oTtAq5n0ucWAwcQDlikAtkub+tPVCw4np27WCg==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script type = "module" src = "../userFrontend/frontend.js/profilemain.js"></script>
<script type = "module" src = "../userFrontend/frontend.js/team.js"></script>
</html>